using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using FirstSteps.Validation;

namespace FirstSteps.Models
{
    public class Hotel
    {
        public int Id { get; set; }

        [Display(Name="Hotel-Name")]
        [Required]
        [StringLength(30)]
        [Remote("ValidateBez", "Hotel")]
        [BlackListValidation]
        public string Bezeichnung { get; set; }

        [Display(Name="Kategorie")]
        [Range(1, 5, ErrorMessage="{0} muss zwischen {1} und {2} liegen.")]
        public int Sterne { get; set; }

        [Display(Name="Region")]
        [Required]
        public int RegionId { get; set; }
    }
}